Bug 503490 - Review Request: ayttm - Universal Instant Messaging Client
Review Request: ayttm - Universal Instant Messaging Client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 07:43 EDT by Minto Joseph
Modified: 2013-11-17 20:47 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.6.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-04 07:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Minto Joseph 2009-06-01 07:43:18 EDT
Spec URL: http://mintojoseph.fedorapeople.org/packages/newguide/ayttm.spec
SRPM URL: http://mintojoseph.fedorapeople.org/packages/newguide/ayttm-0.5.0-89.fc11.src.rpm
Description: 
Ayttm is designed to become a Universal Instant Messaging client, seamlessly
integrating all existing Instant Messaging clients and providing a single
consistant user interface. Currently, Ayttm supports sending and receiving
messages through AOL, ICQ, Yahoo, MSN, IRC and Jabber.
Comment 1 Parag AN(पराग) 2009-06-02 03:22:05 EDT
1) can you put complete download url as
http://downloads.sourceforge.net/ayttm/ayttm-0.5.0-89.zip

2) exclude .la files also by removing following from %files
%{_libdir}/ayttm/*.la

3) can you use desktop-file-install to install desktop files as given at http://fedoraproject.org/wiki/PackagingGuidelines#desktop-file-install_usage

4) don't add following to %files
%{_datadir}/locale/*/LC_MESSAGES/ayttm.mo
instead use http://fedoraproject.org/wiki/PackagingGuidelines#Handling_Locale_Files

5) you don't need
Requires: gdb
Requires: gtk2 >= 2.12.0
Requires: glib2 >= 2.0.0

6) drop versions from 
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: glib2-devel >= 2.0.0

7) remove unnecessary things from SPEC like
# If you want stripped RPM with no crash dialog use
# --define "nodebug 1" in rpmbuild commandline
%if "%{nodebug}" != "1"
%define nodebug 0
%endif

AND
%if "%{nodebug}" == "0"

%define optflags -g

%ifnarch x86_64 # x86_64 does not have brp-compress
%define __spec_install_post %{_libdir}/rpm/brp-compress
%endif

%endif

%define debug_package %{nil}

8) also %build should contain only
%configure --enable-smtp --enable-jasper-filter --sysconfdir=%{_sysconfdir} 

9) Use following in %install to preserve timestamps if any need to be
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

10) You have missing BR: openssl-devel, jasper-devel, esound-devel

11) upstream naming looks odd that uses release numbers also.

12) also we need patch to port spell checker from pspell to hunspell in configure.ac
Comment 2 Minto Joseph 2009-06-13 06:00:40 EDT
Hello,

Made suggested changes.

Following was added to overcome a build error.

%ifnarch x86_64 # x86_64 does not have brp-compress
%define __spec_install_post %{_libdir}/rpm/brp-compress
%endif

I have also added PPC64 arch to it.

%ifnarch x86_64 PPC64 # x86_64 and PPC64 does not have brp-compress
%define __spec_install_post %{_libdir}/rpm/brp-compress
%endif

patch to port spell checker from pspell to hunspell is still not available. Ayttm would work without spellcheck support.

http://mintojoseph.fedorapeople.org/packages/newguide/ayttm-0.5.0-90.fc11.src.rpm
http://mintojoseph.fedorapeople.org/packages/newguide/ayttm.spec


Please check

Thanks 
Minto
Comment 3 Parag AN(पराग) 2009-06-26 03:01:28 EDT
1) You should not use following
%ifnarch x86_64 # x86_64 does not have brp-compress
%define __spec_install_post %{_libdir}/rpm/brp-compress
%endif

remove this.

2) also I have fixed few more issues as per given in Changelog at http://paragn.fedorapeople.org/ayttm1.spec
Use this spec and resubmit SPEC and SRPM for review.
Comment 4 Parag AN(पराग) 2009-07-11 02:22:29 EDT
Can you submit updated SRPM? Though, I am continuously in talk with you but still I think you should submit SRPM and check what upstream says on unfunctionality of some features in ayttm.
Comment 5 Minto Joseph 2009-07-16 06:36:54 EDT
Hello,

There was a problem in with the functionality after the latest packaging.

The "Service Type" was disabled when starting ayttm.

It seems like the plugins will only work with static libraries.

<snip>
/* Find names which end in .la, the expected module extension */
static int select_module_entry(const struct dirent *dent)
{
        int len=0;
        char *ext;

        len=strlen(dent->d_name);
        if(len<4)
           return(0);
        ext=(char *)dent->d_name;
        ext+=(len-3);
        eb_debug(DBG_CORE, "select_module_entry: %s[%s]\n", dent->d_name, ext);
        if(!strncmp(ext, ".la", 3))
           return(1);
        return(0);
}
</snip>

Enabling the static libraries results in ayttm to work normally.

I have discussed with the upstream about using shared libraries. He have agreed to fix the issue by the end of this month.

Regards,
Minto
Comment 6 Siddhesh Poyarekar 2009-07-27 13:34:18 EDT
Minto, Parag:

Following our discussion a few days ago, I talked about this with my upstream team:

https://sourceforge.net/mailarchive/forum.php?thread_name=6e19a8cd0907250150h7ff2b53dl445dae2c191a22a%40mail.gmail.com&forum_name=ayttm-devel

and have committed a workaround for libtool libraries (*.la) upstream. I have added a new option --enable-posix-dlopen to use the dlopen/dlsym on *.so instead of the libtool routines. This option is disabled by default, so you will need to add it as a configure option in your package.

This is available in ayttm cvs now.
Comment 7 Siddhesh Poyarekar 2009-07-27 15:51:06 EDT
And in the latest release now:

http://ayttm.sourceforge.net/files.shtml
Comment 8 Minto Joseph 2009-07-28 05:58:13 EDT
Hello,

Rebasing to the upstream version.

http://mintojoseph.fedorapeople.org/packages/newguide/ayttm-0.5.0-1.111.fc11.src.rpm
http://mintojoseph.fedorapeople.org/packages/newguide/ayttm.spec

Thank you Siddhesh and Parag.

Regards,
Minto
Comment 9 Parag AN(पराग) 2009-08-03 05:45:12 EDT
Thanks for the update.

1)I think we should rename file ayttm_streamer_wrapper.sh to ayttm_streamer_wrapper
This can be done in %install as

mv $RPM_BUILD_ROOT%{_bindir}/ayttm_streamer_wrapper.sh $RPM_BUILD_ROOT%{_bindir}/ayttm_streamer_wrapper

2)To use webcam we need 
Requires: xawtv
as /usr/bin/webcam path used in above script is provided by xawtv package

3) You can remove
BuildRequires: libtool-ltdl

4) should follow only one type of macros
either use everywhere $RPM_BUILD_ROOT or %{buildroot}
Comment 10 Siddhesh Poyarekar 2009-09-12 05:28:07 EDT
You might need the BuildRequires: libtool-ltdl since ayttm still uses libtool during the build process. You could safely remove it from the Requires if you have it there.

Update: ayttm-0.6.0 is out. Get the sources from http://ayttm.sourceforge.net/files.php
Comment 11 Siddhesh Poyarekar 2009-09-12 05:36:43 EDT
Also, for point 12 in comment 1, ayttm uses aspell now, which seems to be working fine on my F11 box provided you have aspell-devel to build the package and aspell and aspell-$LANG to run it.
Comment 13 Parag AN(पराग) 2009-10-07 07:27:11 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1732372
+ rpmlint output forSRPM and for RPM.
ayttm.i686: W: file-not-utf8 /usr/share/doc/ayttm-0.6.0/AUTHORS
=> Fix this before cvs import.
+ source files match upstream url
21a59beb5b67f02a8c3bc8679475afd4a8fe62dc  ayttm-0.6.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ desktop file installed correctly.
+ Package ayttm-0.6.0-1.fc12.i686 =>
Provides: aim-oscar.so autotrans.so config(ayttm) = 0.6.0-1.fc12 custmsg.so img2jpc.so import_everybuddy.so import_gaim.so import_gnomeicu.so importicq.so importlicq.so irc.so jabber.so middle.so msn2.so notes.so rainbow.so smiley-themer.so smtp.so video_capture.so yahoo2.so
Requires: /bin/bash libX11.so.6 libXpm.so.4 libaspell.so.15 libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libc.so.6(GLIBC_2.7) libcairo.so.2 libcrypto.so.10 libdl.so.2 libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libesd.so.0 libfontconfig.so.1 libfreetype.so.6 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0 libgio-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0 libgthread-2.0.so.0 libgtk-x11-2.0.so.0 libjasper.so.1 libjpeg.so.62 libltdl.so.7 libm.so.6 libm.so.6(GLIBC_2.0) libpango-1.0.so.0 libpangocairo-1.0.so.0 libpangoft2-1.0.so.0 libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1) librt.so.1 libssl.so.10 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ GUI application

Suggestions:
1) we have moved to hunspell now so please ask upstream to add support for using hunspell dictionaries.
2) fix rpmlint warning message by using following in %prep
tr -d '\r' < AUTHORS > AUTHORS.new
iconv -f ISO-8859-2 -t UTF-8 AUTHORS.new > AUTHORS

APPROVED.
Comment 14 Minto Joseph 2009-10-08 03:34:21 EDT
New Package CVS Request
=======================
Package Name: ayttm
Short Description: Universal Instant Messaging Client
Owners: mintojoseph
Branches: F-11, F12
InitialCC:
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2009-10-08 22:55:50 EDT
cvs done.
Comment 16 Fedora Update System 2009-10-11 04:23:44 EDT
ayttm-0.6.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ayttm-0.6.0-1.fc11
Comment 17 Fedora Update System 2009-10-11 04:25:28 EDT
ayttm-0.6.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ayttm-0.6.0-1.fc12
Comment 18 Fedora Update System 2009-10-13 21:33:40 EDT
ayttm-0.6.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ayttm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10404
Comment 19 Fedora Update System 2009-11-04 07:15:06 EST
ayttm-0.6.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.